.de EX		\"Begin example
.ne 5
.if n .sp 1
.if t .sp .5
.nf
.in +.5i
..
.de EE
.fi
.in -.5i
.if n .sp 1
.if t .sp .5
..
.TH YAF-Splash 1 "11-Feb-2003" "X Version 11"
.SH NAME
YAF-splash - yet another fine text splash program for X
.SH SYNOPSIS
.B yaf-splash
[-\fItoolkitoption\fP ...] [-\fIoption\fP ...]
.SH DESCRIPTION
\fIyaf-splash\fP pops up a window of text, auto-sized and centered on
the screen, that is dismissed when you click on it, rather like
\fIxmessage\fP. Unlike \fIxmessage\fP, it lacks buttons and other
window manager cruft, can appear transparent via the SHAPE extension,
or overlays if your xserver supports them, and has a bunch of other 
configuration options to tart it up with. 

It also includes a clock with a countdown timer and a mirror mode
to aid in back projection, just to round out the feature bloat. 


This program is the bastard grandson of xsplash and xdaliclock, by
Jamie Zawinski, and xsublim, by Greg Knauss. 
.SH OPTIONS
.I yaf-splash
accepts all of the standard toolkit options, and also accepts the
following options:
.TP 8
.B \-help
Print a brief summary of the allowed options on the standard output.
.TP 8
.B \-text \fIstring\fP
The text you want to display. Multi-line text is ok. The characters
that will be displayed depend on the font you use.
.TP 8
.B \-timeout \fIseconds\fP
How long to leave the text on the screen before exiting. The default
is 0, which means forever (until the window is clicked on or killed by
other means).
.TP 8
.B \-clock 
Enable the clock display instead of a text message.
.TP 8
.B \-12
Use a twelve hour clock. This is the default.
.TP 8
.B \-24
Use a twenty-four hour clock.
.TP 8
.B \-seconds
Update every second (default). 
.TP 8
.B \-noseconds
Update once per minute; don't display seconds at all.
.TP 8
.B \-countdown <date>
Countdown to the specified date instead of displaying a clock. The
argument to -countdown should be a time_t integer (number of seconds
past "Jan 1 00:00:00 GMT 1970") or, a string of the form 
"Mmm DD HH:MM:SS YYYY",	 for example, "Jan 1 00:00:00 2004". This
string is interpreted in the local time zone. The countdown option 
implies -clock.
.TP 8
.B \-countdownquit
Quit after the countdown has reached zero, if in countdown mode (default).
.TP 8
.B \-nocountdownquit
Keep on counting back up once the countdown has reached zero, if
in countdown mode.
.TP 8
.B \-geometry \fImetry\fP
Specifies the prefered size and position of the splash text.
.TP 8
.B \-placement \fIplacement\fP
Specifies the placement of the splash text using one of the following
strings: top-left, top, top-right, left, center, right, bottom-left, 
bottom, bottom-right. Specifying this setting overrides the position
information given in the -geometry option. Center is the default.
.TP 8
.B \-font \fIfontname\fP
Specifies the X font to use.
.TP 8
.B \-transparent
Causes the background of the window to be transparent, if possible.

If the server supports overlay planes, then they may be used (this is
the case on SGIs, and on certain HP, DEC, and IBM systems.)

If overlay planes are not available, but the server supports the Shape
extension, then that will be used instead.  If the Shape extension is 
used, you will probably need to configure your window manager to not 
put a titlebar on the yaf-splash window. If you don't do this, then 
the window will flicker constantly in clock mode, as the window
manager tries to add and remove the titlebar each second.

None of these problems occur if overlay planes are used (or if 
the -transparent option is not requested.)
.TP 8
.B \-nontransparent
Don't make the window's background be transparent.  This is the default.
.TP 8
.B \-mirror
Flip the text about the vertical axis, so that it can be read in the
mirror, or, more practically, when back-projecting. 
.TP 8
.B \-outline \fIwidth\fP
Set's the (approximate) width of the text outline. Set to 0, no
outline will be used, 1 and 2 look good, while more tends to reveal
the weakness of the method used to render the outline. The default is 1.
.B \-margin \fIwidth\fP
The amount of space between the text and the edges of the
window. Default is 0, which is to use no margin.
.EE
.PP
The following standard X Toolkit command line arguments are commonly
used with \fIyaf-splash\fP:
.TP 8
.B \-display \fIhost:dpy\fP
This option specifies the X server to contact.
.TP 8
.B \-bg \fIcolor\fP
.TP 8
.B \-fg \fIcolor\fP
These options specify the colours to use for the foreground and
background of the window. The defaults are 'black' for the foreground
and 'white' for the background, but a bit more explaination is
necessary. When not using an outline, the text is the foreground
colour and the rest is the background colour as you'd expect, but when
using an outline, the outline is set to the foreground colour, and the
text inside the outline is set to the background colour, as well as 
the background itself. 
.TP 8
.B \-bd \fIcolor\fP
This option specifies the color to use for the border of the window.
The default is black.
.TP 8
.B \-bw \fInumber\fP
This option specifies the width in pixels of the border surrounding
the window. Defaults to 2.
.TP 8
.B \-xrm \fIresourcestring\fP
This option specifies a resource string to be used.
.SH COMMANDS
Clicking anywhere on the \fIyaf-splash\fP window will dismiss it. Note
that the window is just the visble text when the \fI-transparent\fP
option is requested and the SHAPE extension is used.
.SH X RESOURCES
\fIyaf-splash\fP understands all of the core resource names and
classes, and most of it's options can be used in an X resource context.
.PP
.SH ENVIRONMENT
.PP
.TP 4
.B DISPLAY
to get the default host and display number.
.TP 4
.B XENVIRONMENT
to get the name of a resource file that overrides the global resources
stored in the RESOURCE_MANAGER property.
.TP 4
.B TZ
to get the current time zone.  If you want to force the clock to display
some other time zone, set this variable before starting it.  For example:
.EX
 sh:   TZ=GMT0 yaf-splash -clock
csh:   ( setenv TZ PST8PDT ; yaf-splash -clock)
.EE
Here's what the \fIxdaliclock\fP man page has to say about TZ:
.PP
"You may notice that the format of the TZ variable (which is used by the C library
.BR ctime (3)
and
.BR localtime (3)
routines) is not actually documented anywhere.  The fourth character (the
digit) is the only thing that really matters: it is the offset in hours from
GMT.  The first three characters are ignored.  The last three characters are
used to flag daylight savings time: their presence effectively adds 1 to the
zone offset.  (I am not making this up...)"
.SH BUGS
The process of putting the window together flickers far too often for
\fIyaf-splash\fP to be continually called to display lots of text
(such as for subtitles or song lyrics). I don't know whether this can
be fixed, but based on the level of distain for X out there, I doubt
it. A mode to display lines with a delay between each might help.

The correct default datemode should be extracted from the current
locale. Should also support the ISO standard.

.SH "SEE ALSO"
.BR X (1),
.BR xrdb (1),
.BR xlsfonts (1),
.BR xmessage (1),
.BR xscreensaver (1)
.SH COPYRIGHT
Copyright \(co 2003 by John Morton.  Permission to use, copy, modify,
distribute, and sell this software and its documentation for any
purpose is hereby granted without fee, provided that the above
copyright notice appear in all copies and that both that copyright
notice and this permission notice appear in supporting documentation.
No representations are made about the suitability of this software for
any purpose.  It is provided "as is" without express or implied
warranty.

Copyright \(co 1991, 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999, 2002 by 
Jamie Zawinski.  Permission to use, copy, modify, distribute, and sell this
software and its documentation for any purpose is hereby granted without fee,
provided that the above copyright notice appear in all copies and that both
that copyright notice and this permission notice appear in supporting
documentation.  No representations are made about the suitability of this
software for any purpose.  It is provided "as is" without express or implied
warranty.

Copyright \(co 1999 by Greg fnord Knauss.  Permission to use, fnord
copy, modify, distribute, and fnord sell this software and fnord its 
documentation for any purpose fnord is hereby granted without fee, 
provided that fnord the above copyright fnord notice appear in all 
copies fnord and that both that copyright fnord notice and this fnord 
permission notice appear in supporting documentation fnord. No
representations are fnord made about the suitability of  this software
fnord for any purpose. It is provided "fnord as is" without express or
implied fnord warranty.
.SH AUTHORS
John Morton <jwm@plain.co.nz>, 11-feb-03.
.PP
Jamie Zawinski <jwz@jwz.org>, 18-sep-91.
.PP
Greg Knauss <greg@eod.com>, 16-Jul-99.
.PP
Please let me know if you find any bugs or make any improvements.

